Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## j3deditor.bin.hierarchy.util
Class HierarchyWorker

    java.lang.Object
      javax.swing.SwingWorker<java.lang.Void,java.lang.Void>
          j3deditor.bin.hierarchy.util.HierarchyWorker

All Implemented Interfaces:
  java.lang.Runnable, java.util.concurrent.Future<java.lang.Void>, java.util.concurrent.RunnableFuture<java.lang.Void>

Direct Known Subclasses:
  ObjImporter, ProjectLoader, ProjectSaver, SGFExporter, SGSExporter

    public abstract class HierarchyWorker

extends javax.swing.SwingWorker<java.lang.Void,java.lang.Void>

Base class for utilities that perform their tasks in a background thread and need to notify scene-editor about updates made to scene.

Author:
  Risto Seene
See Also:
  `SwingWorker`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.SwingWorker
`javax.swing.SwingWorker.StateValue`

Constructor Summary
`protected` | `HierarchyWorker()` Constructor.

Method Summary
`void` | `addHierarchyListener(HierarchyEventListener listener)` Adds the specified `HierarchyEventListener`.
`protected java.lang.Void` | `doInBackground()`
`protected void` | `notifyListeners(HierarchyEvent e)` Sends the given `HierarchyEvent` to all listeners.
`void` | `removeHierarchyListener(HierarchyEventListener listener)` Removes the specified `HierarchyEventListener`.

Methods inherited from class javax.swing.SwingWorker
`addPropertyChangeListener, cancel, done, execute, firePropertyChange, get, get, getProgress, getPropertyChangeSupport, getState, isCancelled, isDone, process, publish, removePropertyChangeListener, run, setProgress`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HierarchyWorker

    protected HierarchyWorker()

  Constructor.

Method Detail

### doInBackground

    protected java.lang.Void doInBackground()
                                     throws java.lang.Exception

  Specified by:
    `doInBackground` in class `javax.swing.SwingWorker<java.lang.Void,java.lang.Void>`
  Throws:
    `java.lang.Exception`
  See Also:
    `SwingWorker.doInBackground()`

### addHierarchyListener

    public void addHierarchyListener(HierarchyEventListener listener)

  Adds the specified `HierarchyEventListener`.

  Parameters:
    `listener` - listener to be added

### removeHierarchyListener

    public void removeHierarchyListener(HierarchyEventListener listener)

  Removes the specified `HierarchyEventListener`.

  Parameters:
    `listener` - listener to be removed

### notifyListeners

    protected void notifyListeners(HierarchyEvent e)

  Sends the given `HierarchyEvent` to all listeners.

  Parameters:
    `e` - HierarchyEvent to be sent

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD